package com.bc_chat.bc_base.entity.wallet;

import java.util.List;

public class MucRedPacketDetailEntity {

    /**
     * id : 44
     * sender_name : 也福田
     * sender_avatar : http://liaoxinceshi.oss-cn-zhangjiakou.aliyuncs.com/image/32821f53261f15113bdf89bbe8ec765f.jpg
     * amount : 10.00
     * num : 3
     * get_detail : [{"receiver_name":"也福田","receiver_avatar":"http://liaoxinceshi.oss-cn-zhangjiakou.aliyuncs.com/image/32821f53261f15113bdf89bbe8ec765f.jpg","amount":"5.52","take_time":"1594199847"}]
     * myMoney : 0
     * has_count : 1
     * has_sum : 5.52
     * title : 哈哈哈哈哈比比
     */

    private String id;
    private String sender_name;
    private String sender_avatar;
    private String amount;
    private int num;
    private String myMoney;
    private String has_count;
    private String has_sum;
    private String title;
    private List<GetDetailBean> get_detail;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSender_name() {
        return sender_name;
    }

    public void setSender_name(String sender_name) {
        this.sender_name = sender_name;
    }

    public String getSender_avatar() {
        return sender_avatar;
    }

    public void setSender_avatar(String sender_avatar) {
        this.sender_avatar = sender_avatar;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public int getNum() {
        return num;
    }

    public void setNum(int num) {
        this.num = num;
    }

    public String getMyMoney() {
        return myMoney;
    }

    public void setMyMoney(String myMoney) {
        this.myMoney = myMoney;
    }

    public String getHas_count() {
        return has_count;
    }

    public void setHas_count(String has_count) {
        this.has_count = has_count;
    }

    public String getHas_sum() {
        return has_sum;
    }

    public void setHas_sum(String has_sum) {
        this.has_sum = has_sum;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public List<GetDetailBean> getGet_detail() {
        return get_detail;
    }

    public void setGet_detail(List<GetDetailBean> get_detail) {
        this.get_detail = get_detail;
    }

    public static class GetDetailBean {
        /**
         * receiver_name : 也福田
         * receiver_avatar : http://liaoxinceshi.oss-cn-zhangjiakou.aliyuncs.com/image/32821f53261f15113bdf89bbe8ec765f.jpg
         * amount : 5.52
         * take_time : 1594199847
         */

        private String receiver_name;
        private String receiver_avatar;
        private String amount;
        private String take_time;

        public String getReceiver_name() {
            return receiver_name;
        }

        public void setReceiver_name(String receiver_name) {
            this.receiver_name = receiver_name;
        }

        public String getReceiver_avatar() {
            return receiver_avatar;
        }

        public void setReceiver_avatar(String receiver_avatar) {
            this.receiver_avatar = receiver_avatar;
        }

        public String getAmount() {
            return amount;
        }

        public void setAmount(String amount) {
            this.amount = amount;
        }

        public String getTake_time() {
            return take_time;
        }

        public void setTake_time(String take_time) {
            this.take_time = take_time;
        }
    }
}
